#include <QApplication>
#include <QKeySequence>
#include <QPushButton>
#include <QDebug>
#ifdef QT_DIAG_LIB
#  include <eventfilter.h>
#endif


int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    QStringList args = app.arguments();
    args.pop_front();
    QPushButton b("Press keys");
    QString t = QT_VERSION_STR;
#if QT_VERSION >= 0x050000
    t += ' ';
      t += QGuiApplication::platformName();
      t += ' ';
#endif
      qDebug() << t  << args;

#ifdef QT_DIAG_LIB
      if (args.contains("-e")) {
          QtDiag::EventFilter::EventCategories cats = QtDiag::EventFilter::KeyEvents;
          app.installEventFilter(new QtDiag::EventFilter(cats, &app));
      }
#endif

    b.setShortcut(QKeySequence(Qt::Key_7 | Qt::CTRL | Qt::SHIFT));
    QObject::connect(&b, SIGNAL(clicked()), qApp, SLOT(quit()));
    b.show();
    return app.exec();
}

